> For the complete documentation index, see [llms.txt](https://docs.pulsoid.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pulsoid.net/widgets-management/read-widget.md).

# Read Widget

This method allows reading the information of the user's widgets.

**Request**

<table><thead><tr><th width="167">name</th><th>value</th></tr></thead><tbody><tr><td>url</td><td><code>https://dev.pulsoid.net/api/v1/widgets</code></td></tr><tr><td>method</td><td><code>GET</code></td></tr><tr><td>scope</td><td><code>widgets:read</code></td></tr></tbody></table>

**Headers Parameters explained:**

<table><thead><tr><th width="170">name</th><th>value</th><th>description</th></tr></thead><tbody><tr><td>Authorization</td><td>Bearer {auth token}</td><td>How to obtains access token<br><a href="https://docs.pulsoid.net/#how-to-obtain-an-authorization-token">https://docs.pulsoid.net/#how-to-obtain-an-authorization-token</a></td></tr></tbody></table>

**Response**

The response is an array of objects. Each object represents a [widget](/widgets-management/widget-entity.md).

**Curl Request Example**

```bash
curl --request GET \
  --url https://pulsoid.net/api/v1/widgets \
  --header 'Authorization: Bearer 8c4da3ce-7ed7-4a19-a1f1-058498661e45'
```

**Response Example**

```json
{
  "widgets": [
    {
      "id": "40b0131e-fe68-4020-90a0-1a5eb78fd9b4",
      "meta_id": "b828337f-cdb0-49d2-8e55-9b1285cd0d22",
      "configuration": {},
      "name": "Some name"
    },
    {
      "id": "95680ad2-8d19-44fe-996c-280db1bd6bf1",
      "meta_id": "f0654a12-3a59-4beb-b567-c5febda19c48",
      "configuration": {
        "ranges": [
          {
            "to": 90,
            "from": 60,
            "color": "#04bbafff"
          },
          {
            "to": 100,
            "from": 91,
            "color": "#fdb008ff"
          }
        ],
        "heartColor": "#f72d21ff",
        "heartEnabled": true
      },
      "name": "Widget 2"
    }
  ]
}
```

***


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.pulsoid.net/widgets-management/read-widget.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
